### Constructor

# Gimp ColorProfile new_from_icc_profile

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_from_icc_profile (
      const guint8* data,
      gsize length,
      GError** error
    )

#### Description [src]

This function opens an ICC color profile from memory. On error, `NULL` is returned and `error` is set.

Available since: | 2.10

#### Parameters

`data` | An array of `guint8`
| The memory containing an ICC profile.
| The length of the array is specified in the `length` argument.
| The data is owned by the caller of the function.
`length` | `gsize`
| Length of the profile in memory, in bytes.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpColorProfile`
| The `GimpColorProfile`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.